gSOAP XML-RPC and JSON 2.8 Stable

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
_struct Struct Reference

Represents the <struct> record structure element. More...

`#include <xml-rpc.h>`

Collaboration diagram for _struct:
[legend]

## Public Types
typedef _struct_iterator | iterator

## Public Member Functions
| _struct ()
| _struct (struct soap *)
| _struct (struct soap *, int)
bool | empty () const
| true if struct is empty
int | size () const
| number of accessors in struct
struct value & | operator[] (const char *)
| struct accessor index
_struct_iterator | begin ()
| struct accessor iterator begin
_struct_iterator | end ()
| struct accessor iterator end

## Public Attributes
int | __size
| number of members
struct member * | member
| pointer to member array
short | s2k = 0
| size = 2k
struct soap * | soap
| ref to soap struct that manages this type

## Detailed Description

Represents the <struct> record structure element.

## Member Typedef Documentation

typedef _struct_iterator _struct::iterator

## Constructor & Destructor Documentation

_struct::_struct | ( |  | ) |

_struct::_struct | ( | struct soap * |  | ) |

_struct::_struct | ( | struct soap * | ,
|  | int |
| ) |  |

## Member Function Documentation

_struct_iterator _struct::begin | ( |  | ) |

struct accessor iterator begin

bool _struct::empty | ( |  | ) | const

true if struct is empty

_struct_iterator _struct::end | ( |  | ) |

struct accessor iterator end

struct value& _struct::operator[] | ( | const char * |  | ) |
| read

struct accessor index

int _struct::size | ( |  | ) | const

number of accessors in struct

## Member Data Documentation

int _struct::__size

number of members

struct member* _struct::member

pointer to member array

short _struct::s2k = 0

size = 2k

struct soap* _struct::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/samples/xml-rpc-json/xml-rpc.h